ThriftClientState (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.thrift

## Class ThriftClientState

- java.lang.Object
- - org.apache.cassandra.service.ClientState
  - - org.apache.cassandra.thrift.ThriftClientState

-     public class ThriftClientState
      extends ClientState

  ClientState used by thrift that also provide a QueryState. Thrift is intrinsically synchronous so there could be only one query per client at a given time. So ClientState and QueryState can be merge into the same object.

- - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.service.ClientState

      `DEFAULT_CQL_VERSION, isInternal`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThriftClientState(java.net.SocketAddress remoteAddress)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.Integer,CQLStatement>` | `getPrepared()`
    `QueryState` | `getQueryState()`
    `java.lang.String` | `getSchedulingValue()`

    - ### Methods inherited from class org.apache.cassandra.service.ClientState

      `ensureHasPermission, ensureIsSuper, ensureNotAnonymous, forExternalCalls, forInternalCalls, getCQLQueryHandler, getCQLSupportedVersion, getCQLVersion, getKeyspace, getRawKeyspace, getRemoteAddress, getUser, hasAllKeyspacesAccess, hasColumnFamilyAccess, hasKeyspaceAccess, login, setCQLVersion, setKeyspace, validateLogin`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThriftClientState

          public ThriftClientState(java.net.SocketAddress remoteAddress)

  - ### Method Detail

    - #### getQueryState

          public QueryState getQueryState()

    - #### getPrepared

          public java.util.Map<java.lang.Integer,CQLStatement> getPrepared()

    - #### getSchedulingValue

          public java.lang.String getSchedulingValue()

Copyright © 2014 The Apache Software Foundation